Blame po/Makefile.in.in

Packit fc043f
# Makefile for PO directory in any package using GNU gettext.
Packit fc043f
# Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
Packit fc043f
#
Packit fc043f
# This file can be copied and used freely without restrictions.  It can
Packit fc043f
# be used in projects which are not available under the GNU General Public
Packit fc043f
# License but which still want to provide support for the GNU gettext
Packit fc043f
# functionality.
Packit fc043f
# Please note that the actual code of GNU gettext is covered by the GNU
Packit fc043f
# General Public License and is *not* in the public domain.
Packit fc043f
#
Packit fc043f
# Origin: gettext-0.19
Packit fc043f
GETTEXT_MACRO_VERSION = 0.19
Packit fc043f
Packit fc043f
PACKAGE = @PACKAGE@
Packit fc043f
VERSION = @VERSION@
Packit fc043f
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
Packit fc043f
Packit fc043f
SED = @SED@
Packit fc043f
SHELL = /bin/sh
Packit fc043f
@SET_MAKE@
Packit fc043f
Packit fc043f
srcdir = @srcdir@
Packit fc043f
top_srcdir = @top_srcdir@
Packit fc043f
VPATH = @srcdir@
Packit fc043f
Packit fc043f
prefix = @prefix@
Packit fc043f
exec_prefix = @exec_prefix@
Packit fc043f
datarootdir = @datarootdir@
Packit fc043f
datadir = @datadir@
Packit fc043f
localedir = @localedir@
Packit fc043f
gettextsrcdir = $(datadir)/gettext/po
Packit fc043f
Packit fc043f
INSTALL = @INSTALL@
Packit fc043f
INSTALL_DATA = @INSTALL_DATA@
Packit fc043f
Packit fc043f
# We use $(mkdir_p).
Packit fc043f
# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
Packit fc043f
# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
Packit fc043f
# @install_sh@ does not start with $(SHELL), so we add it.
Packit fc043f
# In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
Packit fc043f
# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
Packit fc043f
# versions, $(mkinstalldirs) and $(install_sh) are unused.
Packit fc043f
mkinstalldirs = $(SHELL) @install_sh@ -d
Packit fc043f
install_sh = $(SHELL) @install_sh@
Packit fc043f
MKDIR_P = @MKDIR_P@
Packit fc043f
mkdir_p = @mkdir_p@
Packit fc043f
Packit fc043f
GMSGFMT_ = @GMSGFMT@
Packit fc043f
GMSGFMT_no = @GMSGFMT@
Packit fc043f
GMSGFMT_yes = @GMSGFMT_015@
Packit fc043f
GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
Packit fc043f
MSGFMT_ = @MSGFMT@
Packit fc043f
MSGFMT_no = @MSGFMT@
Packit fc043f
MSGFMT_yes = @MSGFMT_015@
Packit fc043f
MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
Packit fc043f
XGETTEXT_ = @XGETTEXT@
Packit fc043f
XGETTEXT_no = @XGETTEXT@
Packit fc043f
XGETTEXT_yes = @XGETTEXT_015@
Packit fc043f
XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
Packit fc043f
MSGMERGE = msgmerge
Packit fc043f
MSGMERGE_UPDATE = @MSGMERGE@ --update
Packit fc043f
MSGINIT = msginit
Packit fc043f
MSGCONV = msgconv
Packit fc043f
MSGFILTER = msgfilter
Packit fc043f
Packit fc043f
POFILES = @POFILES@
Packit fc043f
GMOFILES = @GMOFILES@
Packit fc043f
UPDATEPOFILES = @UPDATEPOFILES@
Packit fc043f
DUMMYPOFILES = @DUMMYPOFILES@
Packit fc043f
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
Packit fc043f
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
Packit fc043f
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
Packit fc043f
$(POFILES) $(GMOFILES) \
Packit fc043f
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
Packit fc043f
Packit fc043f
POTFILES = \
Packit fc043f
Packit fc043f
CATALOGS = @CATALOGS@
Packit fc043f
Packit fc043f
POFILESDEPS_ = $(srcdir)/$(DOMAIN).pot
Packit fc043f
POFILESDEPS_yes = $(POFILESDEPS_)
Packit fc043f
POFILESDEPS_no =
Packit fc043f
POFILESDEPS = $(POFILESDEPS_$(PO_DEPENDS_ON_POT))
Packit fc043f
Packit fc043f
DISTFILESDEPS_ = update-po
Packit fc043f
DISTFILESDEPS_yes = $(DISTFILESDEPS_)
Packit fc043f
DISTFILESDEPS_no =
Packit fc043f
DISTFILESDEPS = $(DISTFILESDEPS_$(DIST_DEPENDS_ON_UPDATE_PO))
Packit fc043f
Packit fc043f
# Makevars gets inserted here. (Don't remove this line!)
Packit fc043f
Packit fc043f
.SUFFIXES:
Packit fc043f
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
Packit fc043f
Packit fc043f
.po.mo:
Packit fc043f
	@echo "$(MSGFMT) -c -o $@ $<"; \
Packit fc043f
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
Packit fc043f
Packit fc043f
.po.gmo:
Packit fc043f
	@lang=`echo $* | sed -e 's,.*/,,'`; \
Packit fc043f
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
Packit fc043f
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
Packit fc043f
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
Packit fc043f
Packit fc043f
.sin.sed:
Packit fc043f
	sed -e '/^#/d' $< > t-$@
Packit fc043f
	mv t-$@ $@
Packit fc043f
Packit fc043f
Packit fc043f
all: all-@USE_NLS@
Packit fc043f
Packit fc043f
all-yes: stamp-po
Packit fc043f
all-no:
Packit fc043f
Packit fc043f
# Ensure that the gettext macros and this Makefile.in.in are in sync.
Packit fc043f
CHECK_MACRO_VERSION = \
Packit fc043f
	test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
Packit fc043f
	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
Packit fc043f
	       exit 1; \
Packit fc043f
	     }
Packit fc043f
Packit fc043f
# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
Packit fc043f
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
Packit fc043f
# we don't want to bother translators with empty POT files). We assume that
Packit fc043f
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
Packit fc043f
# In this case, stamp-po is a nop (i.e. a phony target).
Packit fc043f
Packit fc043f
# stamp-po is a timestamp denoting the last time at which the CATALOGS have
Packit fc043f
# been loosely updated. Its purpose is that when a developer or translator
Packit fc043f
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
Packit fc043f
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
Packit fc043f
# invocations of "make" will do nothing. This timestamp would not be necessary
Packit fc043f
# if updating the $(CATALOGS) would always touch them; however, the rule for
Packit fc043f
# $(POFILES) has been designed to not touch files that don't need to be
Packit fc043f
# changed.
Packit fc043f
stamp-po: $(srcdir)/$(DOMAIN).pot
Packit fc043f
	@$(CHECK_MACRO_VERSION)
Packit fc043f
	test ! -f $(srcdir)/$(DOMAIN).pot || \
Packit fc043f
	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
Packit fc043f
	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
Packit fc043f
	  echo "touch stamp-po" && \
Packit fc043f
	  echo timestamp > stamp-poT && \
Packit fc043f
	  mv stamp-poT stamp-po; \
Packit fc043f
	}
Packit fc043f
Packit fc043f
# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
Packit fc043f
# otherwise packages like GCC can not be built if only parts of the source
Packit fc043f
# have been downloaded.
Packit fc043f
Packit fc043f
# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
Packit fc043f
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
Packit fc043f
# The determination of whether the package xyz is a GNU one is based on the
Packit fc043f
# heuristic whether some file in the top level directory mentions "GNU xyz".
Packit fc043f
# If GNU 'find' is available, we avoid grepping through monster files.
Packit fc043f
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
Packit fc043f
	package_gnu="$(PACKAGE_GNU)"; \
Packit fc043f
	test -n "$$package_gnu" || { \
Packit fc043f
	  if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; then \
Packit fc043f
		 LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f \
Packit fc043f
			       -size -10000000c -exec grep 'GNU @PACKAGE@' \
Packit fc043f
			       /dev/null '{}' ';' 2>/dev/null; \
Packit fc043f
	       else \
Packit fc043f
		 LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null; \
Packit fc043f
	       fi; \
Packit fc043f
	     } | grep -v 'libtool:' >/dev/null; then \
Packit fc043f
	     package_gnu=yes; \
Packit fc043f
	   else \
Packit fc043f
	     package_gnu=no; \
Packit fc043f
	   fi; \
Packit fc043f
	}; \
Packit fc043f
	if test "$$package_gnu" = "yes"; then \
Packit fc043f
	  package_prefix='GNU '; \
Packit fc043f
	else \
Packit fc043f
	  package_prefix=''; \
Packit fc043f
	fi; \
Packit fc043f
	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
Packit fc043f
	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
Packit fc043f
	else \
Packit fc043f
	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
Packit fc043f
	fi; \
Packit fc043f
	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
Packit fc043f
	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
Packit fc043f
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
Packit fc043f
	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
Packit fc043f
	      --files-from=$(srcdir)/POTFILES.in \
Packit fc043f
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
Packit fc043f
	      --msgid-bugs-address="$$msgid_bugs_address" \
Packit fc043f
	    ;; \
Packit fc043f
	  *) \
Packit fc043f
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
Packit fc043f
	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
Packit fc043f
	      --files-from=$(srcdir)/POTFILES.in \
Packit fc043f
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
Packit fc043f
	      --package-name="$${package_prefix}@PACKAGE@" \
Packit fc043f
	      --package-version='@VERSION@' \
Packit fc043f
	      --msgid-bugs-address="$$msgid_bugs_address" \
Packit fc043f
	    ;; \
Packit fc043f
	esac
Packit fc043f
	test ! -f $(DOMAIN).po || { \
Packit fc043f
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
Packit fc043f
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
Packit fc043f
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
Packit fc043f
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
Packit fc043f
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
Packit fc043f
	    else \
Packit fc043f
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
Packit fc043f
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
Packit fc043f
	    fi; \
Packit fc043f
	  else \
Packit fc043f
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
Packit fc043f
	  fi; \
Packit fc043f
	}
Packit fc043f
Packit fc043f
# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
Packit fc043f
# every "make" invocation, only create it when it is missing.
Packit fc043f
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
Packit fc043f
$(srcdir)/$(DOMAIN).pot:
Packit fc043f
	$(MAKE) $(DOMAIN).pot-update
Packit fc043f
Packit fc043f
# This target rebuilds a PO file if $(DOMAIN).pot has changed.
Packit fc043f
# Note that a PO file is not touched if it doesn't need to be changed.
Packit fc043f
$(POFILES): $(POFILESDEPS)
Packit fc043f
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
Packit fc043f
	if test -f "$(srcdir)/$${lang}.po"; then \
Packit fc043f
	  test -f $(srcdir)/$(DOMAIN).pot || $(MAKE) $(srcdir)/$(DOMAIN).pot; \
Packit fc043f
	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
Packit fc043f
	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
Packit fc043f
	  cd $(srcdir) \
Packit fc043f
	    && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
Packit fc043f
	           '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
Packit fc043f
	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
Packit fc043f
	           *) \
Packit fc043f
	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
Packit fc043f
	         esac; \
Packit fc043f
	       }; \
Packit fc043f
	else \
Packit fc043f
	  $(MAKE) $${lang}.po-create; \
Packit fc043f
	fi
Packit fc043f
Packit fc043f
Packit fc043f
install: install-exec install-data
Packit fc043f
install-exec:
Packit fc043f
install-data: install-data-@USE_NLS@
Packit fc043f
	if test "$(PACKAGE)" = "gettext-tools"; then \
Packit fc043f
	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
Packit fc043f
	  for file in $(DISTFILES.common) Makevars.template; do \
Packit fc043f
	    $(INSTALL_DATA) $(srcdir)/$$file \
Packit fc043f
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
Packit fc043f
	  done; \
Packit fc043f
	  for file in Makevars; do \
Packit fc043f
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
Packit fc043f
	  done; \
Packit fc043f
	else \
Packit fc043f
	  : ; \
Packit fc043f
	fi
Packit fc043f
install-data-no: all
Packit fc043f
install-data-yes: all
Packit fc043f
	@catalogs='$(CATALOGS)'; \
Packit fc043f
	for cat in $$catalogs; do \
Packit fc043f
	  cat=`basename $$cat`; \
Packit fc043f
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
Packit fc043f
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
Packit fc043f
	  $(mkdir_p) $(DESTDIR)$$dir; \
Packit fc043f
	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
Packit fc043f
	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
Packit fc043f
	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
Packit fc043f
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
Packit fc043f
	    if test -n "$$lc"; then \
Packit fc043f
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
Packit fc043f
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
Packit fc043f
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
Packit fc043f
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
Packit fc043f
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
Packit fc043f
	         for file in *; do \
Packit fc043f
	           if test -f $$file; then \
Packit fc043f
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
Packit fc043f
	           fi; \
Packit fc043f
	         done); \
Packit fc043f
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
Packit fc043f
	      else \
Packit fc043f
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
Packit fc043f
	          :; \
Packit fc043f
	        else \
Packit fc043f
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
Packit fc043f
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
Packit fc043f
	        fi; \
Packit fc043f
	      fi; \
Packit fc043f
	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
Packit fc043f
	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
Packit fc043f
	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
Packit fc043f
	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
Packit fc043f
	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
Packit fc043f
	    fi; \
Packit fc043f
	  done; \
Packit fc043f
	done
Packit fc043f
Packit fc043f
install-strip: install
Packit fc043f
Packit fc043f
installdirs: installdirs-exec installdirs-data
Packit fc043f
installdirs-exec:
Packit fc043f
installdirs-data: installdirs-data-@USE_NLS@
Packit fc043f
	if test "$(PACKAGE)" = "gettext-tools"; then \
Packit fc043f
	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
Packit fc043f
	else \
Packit fc043f
	  : ; \
Packit fc043f
	fi
Packit fc043f
installdirs-data-no:
Packit fc043f
installdirs-data-yes:
Packit fc043f
	@catalogs='$(CATALOGS)'; \
Packit fc043f
	for cat in $$catalogs; do \
Packit fc043f
	  cat=`basename $$cat`; \
Packit fc043f
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
Packit fc043f
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
Packit fc043f
	  $(mkdir_p) $(DESTDIR)$$dir; \
Packit fc043f
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
Packit fc043f
	    if test -n "$$lc"; then \
Packit fc043f
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
Packit fc043f
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
Packit fc043f
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
Packit fc043f
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
Packit fc043f
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
Packit fc043f
	         for file in *; do \
Packit fc043f
	           if test -f $$file; then \
Packit fc043f
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
Packit fc043f
	           fi; \
Packit fc043f
	         done); \
Packit fc043f
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
Packit fc043f
	      else \
Packit fc043f
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
Packit fc043f
	          :; \
Packit fc043f
	        else \
Packit fc043f
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
Packit fc043f
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
Packit fc043f
	        fi; \
Packit fc043f
	      fi; \
Packit fc043f
	    fi; \
Packit fc043f
	  done; \
Packit fc043f
	done
Packit fc043f
Packit fc043f
# Define this as empty until I found a useful application.
Packit fc043f
installcheck:
Packit fc043f
Packit fc043f
uninstall: uninstall-exec uninstall-data
Packit fc043f
uninstall-exec:
Packit fc043f
uninstall-data: uninstall-data-@USE_NLS@
Packit fc043f
	if test "$(PACKAGE)" = "gettext-tools"; then \
Packit fc043f
	  for file in $(DISTFILES.common) Makevars.template; do \
Packit fc043f
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
Packit fc043f
	  done; \
Packit fc043f
	else \
Packit fc043f
	  : ; \
Packit fc043f
	fi
Packit fc043f
uninstall-data-no:
Packit fc043f
uninstall-data-yes:
Packit fc043f
	catalogs='$(CATALOGS)'; \
Packit fc043f
	for cat in $$catalogs; do \
Packit fc043f
	  cat=`basename $$cat`; \
Packit fc043f
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
Packit fc043f
	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
Packit fc043f
	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
Packit fc043f
	  done; \
Packit fc043f
	done
Packit fc043f
Packit fc043f
check: all
Packit fc043f
Packit fc043f
info dvi ps pdf html tags TAGS ctags CTAGS ID:
Packit fc043f
Packit fc043f
mostlyclean:
Packit fc043f
	rm -f remove-potcdate.sed
Packit fc043f
	rm -f stamp-poT
Packit fc043f
	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
Packit fc043f
	rm -fr *.o
Packit fc043f
Packit fc043f
clean: mostlyclean
Packit fc043f
Packit fc043f
distclean: clean
Packit fc043f
	rm -f Makefile Makefile.in POTFILES *.mo
Packit fc043f
Packit fc043f
maintainer-clean: distclean
Packit fc043f
	@echo "This command is intended for maintainers to use;"
Packit fc043f
	@echo "it deletes files that may require special tools to rebuild."
Packit fc043f
	rm -f stamp-po $(GMOFILES)
Packit fc043f
Packit fc043f
distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
Packit fc043f
dist distdir:
Packit fc043f
	test -z "$(DISTFILESDEPS)" || $(MAKE) $(DISTFILESDEPS)
Packit fc043f
	@$(MAKE) dist2
Packit fc043f
# This is a separate target because 'update-po' must be executed before.
Packit fc043f
dist2: stamp-po $(DISTFILES)
Packit fc043f
	dists="$(DISTFILES)"; \
Packit fc043f
	if test "$(PACKAGE)" = "gettext-tools"; then \
Packit fc043f
	  dists="$$dists Makevars.template"; \
Packit fc043f
	fi; \
Packit fc043f
	if test -f $(srcdir)/$(DOMAIN).pot; then \
Packit fc043f
	  dists="$$dists $(DOMAIN).pot stamp-po"; \
Packit fc043f
	fi; \
Packit fc043f
	if test -f $(srcdir)/ChangeLog; then \
Packit fc043f
	  dists="$$dists ChangeLog"; \
Packit fc043f
	fi; \
Packit fc043f
	for i in 0 1 2 3 4 5 6 7 8 9; do \
Packit fc043f
	  if test -f $(srcdir)/ChangeLog.$$i; then \
Packit fc043f
	    dists="$$dists ChangeLog.$$i"; \
Packit fc043f
	  fi; \
Packit fc043f
	done; \
Packit fc043f
	if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
Packit fc043f
	for file in $$dists; do \
Packit fc043f
	  if test -f $$file; then \
Packit fc043f
	    cp -p $$file $(distdir) || exit 1; \
Packit fc043f
	  else \
Packit fc043f
	    cp -p $(srcdir)/$$file $(distdir) || exit 1; \
Packit fc043f
	  fi; \
Packit fc043f
	done
Packit fc043f
Packit fc043f
update-po: Makefile
Packit fc043f
	$(MAKE) $(DOMAIN).pot-update
Packit fc043f
	test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
Packit fc043f
	$(MAKE) update-gmo
Packit fc043f
Packit fc043f
# General rule for creating PO files.
Packit fc043f
Packit fc043f
.nop.po-create:
Packit fc043f
	@lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
Packit fc043f
	echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
Packit fc043f
	exit 1
Packit fc043f
Packit fc043f
# General rule for updating PO files.
Packit fc043f
Packit fc043f
.nop.po-update:
Packit fc043f
	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
Packit fc043f
	if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \
Packit fc043f
	tmpdir=`pwd`; \
Packit fc043f
	echo "$$lang:"; \
Packit fc043f
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
Packit fc043f
	echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
Packit fc043f
	cd $(srcdir); \
Packit fc043f
	if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
Packit fc043f
	       '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
Packit fc043f
	         $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
Packit fc043f
	       *) \
Packit fc043f
	         $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
Packit fc043f
	     esac; \
Packit fc043f
	   }; then \
Packit fc043f
	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
Packit fc043f
	    rm -f $$tmpdir/$$lang.new.po; \
Packit fc043f
	  else \
Packit fc043f
	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
Packit fc043f
	      :; \
Packit fc043f
	    else \
Packit fc043f
	      echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
Packit fc043f
	      exit 1; \
Packit fc043f
	    fi; \
Packit fc043f
	  fi; \
Packit fc043f
	else \
Packit fc043f
	  echo "msgmerge for $$lang.po failed!" 1>&2; \
Packit fc043f
	  rm -f $$tmpdir/$$lang.new.po; \
Packit fc043f
	fi
Packit fc043f
Packit fc043f
$(DUMMYPOFILES):
Packit fc043f
Packit fc043f
update-gmo: Makefile $(GMOFILES)
Packit fc043f
	@:
Packit fc043f
Packit fc043f
# Recreate Makefile by invoking config.status. Explicitly invoke the shell,
Packit fc043f
# because execution permission bits may not work on the current file system.
Packit fc043f
# Use @SHELL@, which is the shell determined by autoconf for the use by its
Packit fc043f
# scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient.
Packit fc043f
Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@
Packit fc043f
	cd $(top_builddir) \
Packit fc043f
	  && @SHELL@ ./config.status $(subdir)/$@.in po-directories
Packit fc043f
Packit fc043f
force:
Packit fc043f
Packit fc043f
# Tell versions [3.59,3.63) of GNU make not to export all variables.
Packit fc043f
# Otherwise a system limit (for SysV at least) may be exceeded.
Packit fc043f
.NOEXPORT: